#ifndef _GPIO_LIB_H_
#define _GPIO_LIB_H_

#include <stdlib.h>	/* atoi */
#include <stdio.h>	/* printf, snprintf */
#include <fcntl.h>	/* open, read */
#include <unistd.h>	/* write, close */
#include <string.h>	/* strlen */

/* ----- GLOBAL VARIABLES ----- */
/* File handle */
int iFd;
/*
 * four chars are enough for a 3-digit gpio number
 * and null termination.
 */ 
char caValue[4];
/*
 * 34 chars are enough for /sys/class/gpio/gpioXXX/direction
 * and null termination.
 */ 
char caPath[34];

int GPIO_Register (int iGpio);
int GPIO_Free(int iGpio);
int GPIO_SetVal(int iGpio, int iValue);
int GPIO_SetDir(int iGpio, int iDirection);
int GPIO_GetVal(int iGpio);
int GPIO_Init(int iGpio, int iValue);
void GPIO_Toggle(int iGpio);
#endif
