# -*-makefile-*-
#
# Copyright (C) 2012 by Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#

PACKAGES-$(PTXCONF_AMD_GPU_MX51) += amd-gpu-mx51

ifndef PTXCONF_X11

AMD_GPU_MX51_MD5	:= 9a6a0aa378b5083c4eb1915f68095f90
AMD_GPU_MX51_VERSION	:= 11.09.01
AMD_GPU_MX51		:= amd-gpu-bin-mx51-$(AMD_GPU_MX51_VERSION)
AMD_GPU_MX51_SUFFIX	:= tar.gz
AMD_GPU_MX51_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/$(AMD_GPU_MX51).$(AMD_GPU_MX51_SUFFIX)
AMD_GPU_MX51_DIR	:= $(BUILDDIR)/$(AMD_GPU_MX51)

endif

ifdef PTXCONF_X11

AMD_GPU_MX51_MD5	:= 499a2cc08dd48a6c5f7db8d231428548
AMD_GPU_MX51_VERSION	:= 11.09.01
AMD_GPU_MX51		:= amd-gpu-x11-bin-mx51-$(AMD_GPU_MX51_VERSION)
AMD_GPU_MX51_SUFFIX	:= tar.gz
AMD_GPU_MX51_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/$(AMD_GPU_MX51).$(AMD_GPU_MX51_SUFFIX)
AMD_GPU_MX51_DIR	:= $(BUILDDIR)/$(AMD_GPU_MX51)

endif

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/amd-gpu-bin-mx51.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/amd-gpu-bin-mx51.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/amd-gpu-mx51.prepare: $(STATEDIR)/amd-gpu-mx51.extract
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/amd-gpu-mx51.compile: $(STATEDIR)/amd-gpu-mx51.prepare
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/amd-gpu-mx51.install: $(STATEDIR)/amd-gpu-mx51.compile
	@$(call targetinfo)
	cp -r $(AMD_GPU_MX51_DIR)/usr/lib/* $(PTXDIST_SYSROOT_TARGET)/usr/lib
	cp -r $(AMD_GPU_MX51_DIR)/usr/include/* $(PTXDIST_SYSROOT_TARGET)/usr/include
#
# TODO:
# If some of the files are required in root filesystem's build process, install
# these files in the install stage. But use proper variables PTXdist supports
# to install files, instead of fixed paths. The following variables can be
# used:
#
# - $(PTXDIST_SYSROOT_TARGET) points to a directory tree
#   all target relevant libraries and header files are installed to. All
#   packages built for the target are searching in this directory tree for
#   header and library files. These files are for compile time only, not for
#   runtime!
#   Paths:
#    - executables: $(PTXDIST_SYSROOT_TARGET)/bin
#    - header files: $(PTXDIST_SYSROOT_TARGET)/include
#    - libraries: $(PTXDIST_SYSROOT_TARGET)/lib
# - $(PTXDIST_SYSROOT_HOST) points to a directory tree all host relevant
#   executables, libraries and header files are installed to. All packages
#   built for the host are searching in this directory tree for executables,
#   header and library files.
#   Paths:
#    - executables: $(PTXDIST_SYSROOT_HOST)/bin
#    - header files: $(PTXDIST_SYSROOT_HOST)/include
#    - libraries: $(PTXDIST_SYSROOT_HOST)/lib
#
# - $(PTXDIST_SYSROOT_CROSS) points to a directory tree all cross relevant
#   executables, libraries and header files are installed to. All packages
#   built for the host to create data for the target are searching in this
#   directory tree for executables, header and library files.
#   Paths:
#    - executables: $(PTXDIST_SYSROOT_CROSS)/bin
#    - header files: $(PTXDIST_SYSROOT_CROSS)/include
#    - libraries: $(PTXDIST_SYSROOT_CROSS)/lib
#
#
# If no compile time files are reqired, skip this stage
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/amd-gpu-mx51.targetinstall:
	@$(call targetinfo)
	@$(call install_init, amd-gpu-mx51)
	@$(call install_fixup,amd-gpu-mx51,PRIORITY,optional)
	@$(call install_fixup,amd-gpu-mx51,SECTION,base)
	@$(call install_fixup,amd-gpu-mx51,AUTHOR,"Markus Niebel")
	@$(call install_fixup,amd-gpu-mx51,DESCRIPTION,missing)
#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_tree, amd-gpu-mx51, 0, 0, $(AMD_GPU_MX51_DIR)/usr/lib, /usr/lib)
	@$(call install_tree, amd-gpu-mx51, 0, 0, $(AMD_GPU_MX51_DIR)/usr/bin, /usr/bin)

	@$(call install_finish,amd-gpu-mx51)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/amd-gpu-bin-mx51.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, amd-gpu-bin-mx51)

# vim: syntax=make
