# -*-makefile-*-
#
# Copyright (C) 2012 by Tom Barth
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TQ_EXAMPLES) += tq_examples

#
# Paths and names
#
TQ_EXAMPLES_VERSION	:= 0.1
TQ_EXAMPLES_MD5		:=
TQ_EXAMPLES		:= tq_examples
TQ_EXAMPLES_SUFFIX	:= 
TQ_EXAMPLES_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(TQ_EXAMPLES)
TQ_EXAMPLES_DIR		:= $(BUILDDIR)/$(TQ_EXAMPLES)
TQ_EXAMPLES_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(TQ_EXAMPLES_SOURCE):
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------
TQ_EXAMPLES_CONF_TOOL	:= NO
TQ_EXAMPLES_PATH	:= PATH=$(CROSS_PATH)

#
# simple makefile
#
$(STATEDIR)/tq_examples.prepare:
	@$(call targetinfo)
	@$(call touch)

ifdef PTXCONF_TQ_EXAMPLES_BUZZER
TQ_EXAMPLES_DIRLIST  += buzzer
endif

ifdef PTXCONF_TQ_EXAMPLES_CAN
TQ_EXAMPLES_DIRLIST += can
endif

ifdef PTXCONF_TQ_EXAMPLES_ETH
TQ_EXAMPLES_DIRLIST += eth
endif

ifdef PTXCONF_TQ_EXAMPLES_GPIO
TQ_EXAMPLES_DIRLIST += gpio
endif

ifdef PTXCONF_TQ_EXAMPLES_SERIAL
TQ_EXAMPLES_DIRLIST += serial
endif

ifdef PTXCONF_TQ_EXAMPLES_SPI
TQ_EXAMPLES_DIRLIST += spi
endif

ifdef PTXCONF_TQ_EXAMPLES_USB
TQ_EXAMPLES_DIRLIST += usb
endif

ifdef PTXCONF_TQ_EXAMPLES_FB
TQ_EXAMPLES_DIRLIST += fb
endif

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
TQ_EXAMPLES_MAKE_PAR	:= NO
TQ_EXAMPLES_MAKE_OPT	:= DIRLIST="$(TQ_EXAMPLES_DIRLIST)" \
			CROSS_COMPILE=$(PTXCONF_COMPILER_PREFIX) \
			all

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------
TQ_EXAMPLES_INSTALL_OPT	:= DIRLIST="$(TQ_EXAMPLES_DIRLIST)" \
			INSTALLDIR=$(PTXDIST_SYSROOT_TARGET)/usr/bin \
			install
# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tq_examples.targetinstall:
	@$(call targetinfo)

	@$(call install_init, tq_examples)
	@$(call install_fixup, tq_examples,PRIORITY,optional)
	@$(call install_fixup, tq_examples,SECTION,base)
	@$(call install_fixup, tq_examples,AUTHOR,"Tom Barth")
	@$(call install_fixup, tq_examples,DESCRIPTION,missing)
ifdef PTXCONF_TQ_EXAMPLES_BUZZER
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/buzzer/buzzer_demo, /usr/bin)
endif
ifdef PTXCONF_TQ_EXAMPLES_CAN
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/can/can_demo, /usr/bin)
endif
ifdef PTXCONF_TQ_EXAMPLES_ETH
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/eth/eth_demo, /usr/bin)
endif
ifdef PTXCONF_TQ_EXAMPLES_GPIO
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/gpio/gpio_demo, /usr/bin/gpio_demo)
endif
ifdef PTXCONF_TQ_EXAMPLES_SERIAL
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/serial/serial_demo, /usr/bin/serial_demo)
endif
ifdef PTXCONF_TQ_EXAMPLES_SPI
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/spi/spi_demo, /usr/bin)
endif
ifdef PTXCONF_TQ_EXAMPLES_USB
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/usb/usb_demo, /usr/bin)
endif
ifdef PTXCONF_TQ_EXAMPLES_FB
	@$(call install_copy, tq_examples, 0, 0, 0755, $(TQ_EXAMPLES_DIR)/fb/fb_demo, /usr/bin/fb_demo)
endif
	@$(call install_finish, tq_examples)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/tq_examples.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, TQ_EXAMPLES)

# vim: syntax=make
